propagate.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::BinPacking
| Bin-packing propagators

## Functions

bool | Gecode::Int::BinPacking::operator== (const Item &i, const Item &j)
| Whether two items are the same.
bool | Gecode::Int::BinPacking::operator!= (const Item &i, const Item &j)
| Whether two items are not the same.
bool | Gecode::Int::BinPacking::operator< (const Item &i, const Item &j)
| Order, also for sorting according to size.